var window = Ti.UI.createWindow({
    backgroundColor: 'white',
    layout: 'vertical'
});

var button = Ti.UI.createButton({
    title: 'Scan Code',
    width: 150, 
    height: 60,
    top: 20
});
window.add(button);

window.add(Ti.UI.createLabel({
    text: 'You may need to rotate the device',
    top: 10,
    height: 'auto', width: 'auto',
    font: { fontSize: 12 }
}));

window.add(Ti.UI.createLabel({
	text: 'Result:',
	top:10,
	left:10,
	textAlign: 'left',
	color:'black',
	font: {fontSize:18, fontStyle:'bold'}, 
	height:'auto'
}));

var scanResult = Ti.UI.createLabel({
	text: '',
	top:10,
	left:10,
	textAlign: 'left',
	color:'black',
	height:'auto'
});
window.add(scanResult);

window.add(Ti.UI.createLabel({
	text: 'Content Type:',
	top:10,
	left:10,
	textAlign: 'left',
	color:'black',
	font: {fontSize:18, fontStyle:'bold'},
	height:'auto'
}));

var scanContentType = Ti.UI.createLabel({
	text: '',
	top:10,
	left:10,
	textAlign: 'left',
	color:'black',
	height:'auto'
});
window.add(scanContentType);

window.add(Ti.UI.createLabel({
	text: 'Format:',
	top:10,
	left:10,
	textAlign: 'left',
	color:'black',
	font: {fontSize:18, fontStyle:'bold'},
	height:'auto'
}));

var scanFormat = Ti.UI.createLabel({
	text: '',
	top:10,
	left:10,
	textAlign: 'left',
	color:'black',
	height:'auto'
});
window.add(scanFormat);

window.open();

Titanium.Barcode = Ti.Barcode = require('ti.barcode');

button.addEventListener('click', function() {
	Ti.Barcode.capture();
});

Ti.Barcode.addEventListener('error', function(e) {
	scanResult.text = e.message;
	scanContentType.text = '';
	scanFormat.text = '';
});

Ti.Barcode.addEventListener('canceled', function(e) {
	scanResult.text = e.message;
	scanContentType.text = '';
	scanFormat.text = '';
});

Ti.Barcode.addEventListener('success', function(e) {
	scanResult.text = e.result;
	scanContentType.text = e.contentType;
	scanFormat.text = e.format;
});